OS X GRASS 7 processing command wrong setup

2016-09-30 10:41 AM - William Kyngesburye

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.16.3 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23568

Description

Commit #e1ff6e896a8178c2f61930535ca91a408c3e2355 tried to fix GRASS 7 detection on OS X but for some reason inserted * around

the command filename, ie grass.sh.  This results in the test to fail and the nix grass70 command to be used, which then fails to run.

The Mac test block in Grass7Utils.py : prepareGrass7Execution() should be:

            if isMac() and os.path.exists(Grass7Utils.grassPath() + os.sep + 'grass.sh'):

                command = Grass7Utils.grassPath() + os.sep + 'grass.sh ' \\

                    + Grass7Utils.grassMapsetFolder() + '/PERMANENT'

The commit was before 2.16, so it affects both master and 2.16.  Also, it should be backported (corrected) to 2.14.

Associated revisions

Revision d03d2069 - 2016-10-04 04:08 PM - Alexander Bruy

[processing] correct GRASS 7 detection on Mac (fix #15645)

follow up e1ff6e896a

Revision ed8c02f0 - 2016-10-04 06:37 PM - Alexander Bruy

[processing] correct GRASS 7 detection on Mac (fix #15645)

follow up e1ff6e896a

(cherry picked from commit d03d2069b96b2c25abe64588f54f24dab7ea7cc2)

Conflicts:

    python/plugins/processing/algs/grass7/Grass7Utils.py

Revision 683309a6 - 2016-10-04 06:41 PM - Alexander Bruy

[processing] correct GRASS 7 detection on Mac (fix #15645)

follow up e1ff6e896a

(cherry picked from commit d03d2069b96b2c25abe64588f54f24dab7ea7cc2)

Conflicts:
    python/plugins/processing/algs/grass7/Grass7Utils.py

Revision d4082cf5 - 2016-10-04 06:42 PM - Alexander Bruy

[processing] correct GRASS 7 detection on Mac (fix #15645)

follow up e1ff6e896a

(cherry picked from commit d03d2069b96b2c25abe64588f54f24dab7ea7cc2)

Conflicts:

    python/plugins/processing/algs/grass7/Grass7Utils.py

History

#1 - 2016-10-04 07:10 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"d03d2069b96b2c25abe64588f54f24dab7ea7cc2".
